Endpoints小组件
生成家长同意 URL
返回托管式家长同意组件的 URL,用于在 iframe 中展示。 将其展示给既有挑战的监护人以收集同意。这与 `/challenge/send-email` 所链接的体验相同,适用于你自行投递链接的场景。
Authorization
api-key AuthorizationBearer <token>
In: header
Request Body
application/json
生成家长同意URL请求
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/widget/generate-parental-consent-url" \ -H "Content-Type: application/json" \ -d '{ "challengeId": "ae6d4729-af32-42ea-8ef2-ff46c7664802", "email": "parent@example.com" }'{ "url": "https://family.k-id.com/widget", "shortUrl": "https://family.k-id.com/s/12345678-1234-1234-1234-123456789012?pid=42&s=qr"}